MPD 0.20.6

- Main Page
- Namespaces
- Data Structures
- Files

- File List
- Globals

Data Structures | Functions
Win32.hxx File Reference
`#include "check.h"`
`#include "Compiler.h"`
`#include <wchar.h>`
Include dependency graph for Win32.hxx:

Go to the source code of this file.

## Data Structures
class | AllocatedString< T >
| A string pointer whose memory is managed by this class. More...

## Functions
gcc_pure gcc_nonnull_all AllocatedString< char > | WideCharToMultiByte (unsigned code_page, const wchar_t *src)
| Throws std::system_error on error. More...
gcc_pure gcc_nonnull_all AllocatedString< wchar_t > | MultiByteToWideChar (unsigned code_page, const char *src)
| Throws std::system_error on error. More...

## Function Documentation

gcc_pure gcc_nonnull_all AllocatedString<wchar_t> MultiByteToWideChar | ( | unsigned | code_page,
|  | const char * | src
| ) |  |

Throws std::system_error on error.

gcc_pure gcc_nonnull_all AllocatedString<char> WideCharToMultiByte | ( | unsigned | code_page,
|  | const wchar_t * | src
| ) |  |

Throws std::system_error on error.